### R code from vignette source 'popMeans.Rnw'

###################################################
### code chunk number 1: popMeans.Rnw:60-66
###################################################
library(doBy)
dd <- expand.grid(A=factor(1:3),B=factor(1:3),C=factor(1:2))
dd$y <- rnorm(nrow(dd))
dd$x <- rnorm(nrow(dd))^2
dd$z <- rnorm(nrow(dd))
head(dd,10)


###################################################
### code chunk number 2: popMeans.Rnw:77-79
###################################################
mm <- lm(y~A+B+C, data=dd)
coef(mm)


###################################################
### code chunk number 3: popMeans.Rnw:102-104
###################################################
w <- c(0,-1,1,0,0,0)
sum(coef(mm)*w)


###################################################
### code chunk number 4: popMeans.Rnw:110-111
###################################################
esticon(mm, w)


###################################################
### code chunk number 5: popMeans.Rnw:161-164
###################################################
w <- c(1, 0, 0, 1/3, 1/3, 1/2)
coef(mm)*w
sum(coef(mm)*w)


###################################################
### code chunk number 6: popMeans.Rnw:170-175
###################################################
W <- matrix(c(1, 0, 0, 1/3, 1/3, 1/2,
              1, 1, 0, 1/3, 1/3, 1/2,
              1, 0, 1, 1/3, 1/3, 1/2),nr=3, byrow=TRUE)
W
W %*% coef(mm)


###################################################
### code chunk number 7: popMeans.Rnw:190-191
###################################################
esticon(mm, W)


###################################################
### code chunk number 8: popMeans.Rnw:204-206
###################################################
pma <- popMatrix(mm,effect='A')
summary(pma)


###################################################
### code chunk number 9: popMeans.Rnw:214-216
###################################################
pme <- popMeans(mm, effect='A')
pme


###################################################
### code chunk number 10: popMeans.Rnw:222-223
###################################################
summary(pme)


###################################################
### code chunk number 11: popMeans.Rnw:233-234
###################################################
popMatrix(mm,effect=c('A','C'))


###################################################
### code chunk number 12: popMeans.Rnw:240-241
###################################################
popMeans(mm)


###################################################
### code chunk number 13: popMeans.Rnw:252-253
###################################################
popMatrix(mm,effect='A', at=list(C='1'))


###################################################
### code chunk number 14: popMeans.Rnw:258-259
###################################################
popMatrix(mm,effect='A', at=list(C=c('1','2')))


###################################################
### code chunk number 15: popMeans.Rnw:265-266
###################################################
popMatrix(mm,effect='A', at=list(C=c('1','2'), B='1'))


###################################################
### code chunk number 16: popMeans.Rnw:275-276
###################################################
popMatrix(mm,effect=c('A','C'), at=list(C='1'))


###################################################
### code chunk number 17: popMeans.Rnw:287-288 (eval = FALSE)
###################################################
## popMatrix(mm,effect='A', at=list(C='1'))


###################################################
### code chunk number 18: popMeans.Rnw:295-297
###################################################
mm2 <- lm(y~A+B+C+C:x, data=dd)
coef(mm2)


###################################################
### code chunk number 19: popMeans.Rnw:301-302
###################################################
popMatrix(mm2,effect='A', at=list(C='1'))


###################################################
### code chunk number 20: popMeans.Rnw:309-310
###################################################
popMatrix(mm2,effect='A', at=list(C='1',x=12))


###################################################
### code chunk number 21: popMeans.Rnw:318-320
###################################################
mm3 <- lm(y~A+B+C+C:log(x), data=dd)
coef(mm3)


###################################################
### code chunk number 22: popMeans.Rnw:328-331
###################################################
dd <- transform(dd, log.x = log(x))
mm3 <- lm(y~A+B+C+C:log.x, data=dd)
popMatrix(mm3,effect='A', at=list(C='1'))


###################################################
### code chunk number 23: popMeans.Rnw:347-350
###################################################
 library(multcomp)
g<-popMeans(mm,effect='A', at=list(C='1'),engine="glht")
g


###################################################
### code chunk number 24: popMeans.Rnw:354-356
###################################################
summary(g,test=univariate())
confint(g,calpha=univariate_calpha())


###################################################
### code chunk number 25: popMeans.Rnw:361-363
###################################################
summary(g)
confint(g)


